Skip to main content
PATCH
/
api
/
v1
/
images
/
{image_name}
/
{image_tag}
/
visibility
Update Image Visibility
curl --request PATCH \
  --url https://api.primeintellect.ai/api/v1/images/{image_name}/{image_tag}/visibility \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "teamId": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "images": [
    {
      "id": "<string>",
      "imageName": "<string>",
      "imageTag": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "artifactType": "CONTAINER_IMAGE",
      "fullImagePath": "<string>",
      "errorMessage": "<string>",
      "sizeBytes": 123,
      "visibility": "PRIVATE",
      "startedAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "pushedAt": "2023-11-07T05:31:56Z",
      "teamId": "<string>",
      "ownerType": "personal",
      "displayRef": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

image_name
string
required
image_tag
string
required

Body

application/json

Request model for publishing or unpublishing an image.

visibility
enum<string>
required

New image visibility (PUBLIC or PRIVATE)

Available options:
PRIVATE,
PUBLIC
teamId
string | null

Team ID if updating a team image

Response

Successful Response

Response model for an image visibility update.

success
boolean
required

Whether the update succeeded

message
string
required

Status message describing the result

visibility
enum<string>
required

Updated visibility

Available options:
PRIVATE,
PUBLIC
images
ImageResponse · object[]

Updated artifact rows for the logical image